Arcen Idea Tracker (Bugs and Features)

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryDate SubmittedLast Update
0019053AI War 2[All Projects] GUIMar 23, 2017 4:29 pmApr 3, 2017 10:01 am
Reportertykinruoka 
Assigned Tox4000Bughunter 
Severityblock 
StatusresolvedResolutionfixed 
Product Version0.113 The One Thanks To Cinth 
Fixed in Version0.114 Major GUI And Icons Overhaul 
Summary0019053: Unable to play on Linux
DescriptionThe game launches from Steam but all I get is a screen showing a white logo, as seen in the screenshot. There are no error/debug logs to be found in the game's directory tree.

System specs:
Ubuntu 16.10
i7-7700k
Nvidia 980ti, driver version 375.39
32gb ram
TagsNo tags attached.
Attached Filespng file icon Screenshot at 2017-03-23 22-04-47.png [^] (782,222 bytes) Mar 23, 2017 4:29 pm
zip file icon player_log.zip [^] (27,148 bytes) Mar 23, 2017 5:07 pm
log file icon 0114_Player.log [^] (38,291 bytes) Apr 1, 2017 3:13 pm

- Relationships
related to 0019058resolvedx4000Bughunter Bloom (still) does not work on certain linux installs. 

-  Notes
(0046021)
x4000Bughunter (administrator)
Mar 23, 2017 4:49 pm

Hi there! Thanks for the report -- it looks like it is running okay, kinda-sorta, but the GUI buttons are all stacked up on top of each other there in the top left.

The log would be located here: ~/.config/unity3d/CompanyName/ProductName/Player.log

Can you post that? I'm not sure if it's doing that with the GUI because it's having some sort of exception thrown that prevents it from being initialized fully, or if it's having some sort of sizing problem because of your screen resolution settings.

What is your screen resolution, perchance? If the log has written properly it will tell me anyway, but just to make sure that it is correct in what it thinks versus what the reality is.

Thanks!
(0046022)
tykinruoka (reporter)
Mar 23, 2017 5:10 pm

Hi and thanks for the quick response! I just uploaded to log. Had to zip it because it was quite large. My desktop resolution is 2560x1440.
(0046023)
x4000Bughunter (administrator)
Mar 24, 2017 11:05 am

Okay -- thanks for that!

Here's the "fix" for now:

* Code has been added to the Amplify Bloom scripts to catch errors that it might encounter when trying to create render textures or blit.
** Previously on certain graphics cards+driver combinations (so far just one on linux), we could run into issues with it saying that the render texture was too large to create.
** This seems like some sort of driver error given the caps of the card and what is being requested, but either way we've put in code to prevent that from keeping the entire game from working, as well as to give us better output about what texture size was actually being requested (in case there is something unseen causing that to be unreasonably large).
** This is all third-party code and we may switch over to Unity's own new integrated post-processing stack, but for now this is a good start.
** Thanks to tykinruoka for reporting.


TLDR: This may or may not actually fix the issue with the bloom, but it should let you keep playing either way. If you wouldn't mind uploading a new copy of your fresh logs after starting up the new version, I'd appreciate it -- that would provide some further insight into the underlying issue, versus just skirting around it.

Thank you!
(0046026)
tykinruoka (reporter)
Mar 24, 2017 6:28 pm

Hi! My Steam has not yet picked up the update, game is still at 0113, but I managed to get the game running and the buttons are now properly placed. It seems that Unity fails to load something when your locale is not set to en_US. If I put the following to game's launch options, I can see the buttons and start the game:

LANG='en_US.UTF-8' %command%
(0046029)
x4000Bughunter (administrator)
Mar 27, 2017 12:14 pm

Oh awesome, thank you! The new build isn't out yet, but I've put in a fix on the next one that should hopefully fix this. If you can take those launch options back out next build and see if I really fixed it for you, I'd appreciate it. I don't want people to have to use that workaround if I can avoid it, but I'm super glad that you did find it! :)
(0046034)
tykinruoka (reporter)
Apr 1, 2017 3:17 pm

Hi! Good news first, the new release 0114 works now without the extra launch options. Excellent! :) But the issue with bloom is still there. I've uploaded a new fresh Player.log.
(0046036)
x4000Bughunter (administrator)
Apr 3, 2017 10:00 am

That's awesome news! When it comes to the bloom, it also looks like it's doing what it is "supposed to" as of the prior version -- when not supported, it's just turning off without errors.

Getting support in there properly is preferable, of course, and a freaking 980Ti ought to be able to handle anything this game can dish at it. ;)

But in the short term, this seems like it got the job done, which is a good start at least. I'm going to be moving to a new bloom system _probably_, and so this will hopefully solve itself. I'm going to open another issue just in case, though.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
Mar 23, 2017 4:29 pm tykinruoka New Issue
Mar 23, 2017 4:29 pm tykinruoka File Added: Screenshot at 2017-03-23 22-04-47.png
Mar 23, 2017 4:49 pm x4000Bughunter Note Added: 0046021
Mar 23, 2017 4:49 pm x4000Bughunter Assigned To => x4000Bughunter
Mar 23, 2017 4:49 pm x4000Bughunter Status new => feedback
Mar 23, 2017 5:07 pm tykinruoka File Added: player_log.zip
Mar 23, 2017 5:10 pm tykinruoka Note Added: 0046022
Mar 23, 2017 5:10 pm tykinruoka Status feedback => assigned
Mar 24, 2017 11:05 am x4000Bughunter Note Added: 0046023
Mar 24, 2017 11:05 am x4000Bughunter Status assigned => resolved
Mar 24, 2017 11:05 am x4000Bughunter Fixed in Version => 0.114 Major GUI And Icons Overhaul
Mar 24, 2017 11:05 am x4000Bughunter Resolution open => fixed
Mar 24, 2017 6:28 pm tykinruoka Note Added: 0046026
Mar 27, 2017 12:14 pm x4000Bughunter Note Added: 0046029
Apr 1, 2017 3:13 pm tykinruoka File Added: 0114_Player.log
Apr 1, 2017 3:17 pm tykinruoka Note Added: 0046034
Apr 3, 2017 10:00 am x4000Bughunter Note Added: 0046036
Apr 3, 2017 10:01 am x4000Bughunter Relationship added related to 0019058


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker